require 'oztogo'
require 'vcr'

RSpec.configure do |config|
  config.filter_run :focus
  config.run_all_when_everything_filtered = true
  config.default_formatter = 'doc'
  config.order = :random


  config.around(:each, :vcr) do |example|
    
    name = example.metadata[:full_description].downcase.gsub(/\W+/, "_").split("_", 2).join("/")

    #name = example.metadata[:full_description].split(/\s+/, 2).join("/").underscore.gsub(/[^\w\/]+/, "_")
    VCR.use_cassette(name, :record => :new_episodes) do
      example.call
    end
  end
end

VCR.configure do |c|
  c.cassette_library_dir = "spec/cassettes"
  c.hook_into :webmock
end
